.projects {
  color: var(--color-text);
  display: grid;
  grid-template-columns: 1.25fr 0.5fr;
  padding: var(--spacing-3xl) 0 var(--spacing-2xl) var(--spacing-2xl);
  background-color: var(--color-bg);
}

.project {
  position: relative;
  border-top: 2px solid var(--color-primary);
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: var(--spacing-lg);
}

.project:hover {
  transition: 125ms ease-in-out;
  background-color: rgba(61, 207, 182, 0.35);
}

.project:nth-last-child(1) {
  border-bottom: 2px solid var(--color-primary);
}

.project__technologies {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.project__technologies > li {
  font-family: var(--karla);
  font-weight: 400;
  font-size: clamp(var(--fs-sm), 4vw, var(--fs-md));
}

.project__technologies > li:not(:last-child)::after {
  content: "|";
  display: inline-block;
  transform: translateY(0);
  align-items: center;
  color: #3dcfb6;
  padding: 0 clamp(var(--spacing-xxxs), 1.5vw, var(--spacing-xs));
}

.projects h2,
.projects h3,
.projects p {
  grid-column: 1 / -1;
}

.projects > h2 {
  margin-bottom: var(--spacing-xs);
  font-size: clamp(var(--fs-lg), 5vw, var(--fs-xl));
  font-family: var(--karla);
  font-weight: 500;
  color: var(--color-primary);
}

.projects > p {
  max-width: 45ch;
  font-size: clamp(var(--fs-xs), 3vw, var(--fs-sm));
  font-family: var(--karla);
}

.projects__left > div {
  grid-column: 1;
}

.projects__preview {
  grid-column: 2;
  position: relative;
}

.projects__preview-img {
  width: 80%;
  position: relative;
  z-index: 2;
  left: 20px;
}

.projects__preview::after {
  content: "";
  position: absolute;
  top: 20px;
  left: 40px;
  right: 30px;
  bottom: -10px;
  background-image: url("../../assets/images/portrait-bg.svg");
  background-repeat: repeat;
  opacity: 0;
  z-index: 1;
  border-radius: var(--br-35);
}

.projects__preview--active::after {
  opacity: 1;
}

.projects > h3 {
  font-size: clamp(var(--fs-2xl), 5vw, var(--fs-4xl));
  font-family: var(--fira);
  font-weight: 700;
  color: var(--color-primary);
  margin-bottom: var(--spacing-md);
}

.projects > p {
  margin-bottom: var(--spacing-md);
}

.project {
  position: relative;
}

.project__title {
  font-size: clamp(var(--fs-lg), 4vw, var(--fs-xl));
  font-family: var(--fira);
  font-weight: 500;
}

.project__title:after {
  content: "";
  position: absolute;
  background-image: url("../../assets/icons/arrow-outward.svg");
  background-repeat: no-repeat;
  background-position: center;
  opacity: 0;
  transition: transform 125ms ease-in-out;
  padding: 10px 30px 0 0;
  display: inline-block;
  height: 5px;
  top: 45px;
  transform: translateX(5px);
}

.project:hover .project__title::after {
  opacity: 1;
}

@media (max-width: 1024px) {
  .projects {
    padding: 0 var(--spacing-lg) var(--spacing-2xl) var(--spacing-lg);
  }

  .projects__preview {
    display: none;
  }

  .projects__left {
    grid-column: 1 / -1;
  }
}

@media (max-width: 969px) {
  .projects {
    padding: 0 var(--spacing-xs) var(--spacing-2xl) var(--spacing-xs);
  }
}

@media (max-width: 768px) {
  .projects {
    padding: var(--spacing-xl) var(--spacing-xs) var(--spacing-2xl) var(--spacing-xs);
  }
}

@media (max-width: 635px) {
  .project {
    flex-direction: column;
    align-items: start;
    padding-left: 0;
    padding-right: 0;
  }

  .project__title {
    padding-bottom: var(--spacing-xs);
  }
}
